import React from 'react';
import { RankedTester, StatePropsOfCombinator } from '@jsonforms/core';
interface MaterialAnyOfState {
    selectedAnyOf: number;
}
declare class MaterialAnyOfRenderer extends React.Component<StatePropsOfCombinator, MaterialAnyOfState> {
    state: MaterialAnyOfState;
    constructor(props: StatePropsOfCombinator);
    handleChange: (_event: any, value: number) => void;
    render(): JSX.Element;
}
declare const ConnectedMaterialAnyOfRenderer: import("react-redux").ConnectedComponentClass<typeof MaterialAnyOfRenderer, Pick<StatePropsOfCombinator, never> & import("../../../core/lib").OwnPropsOfControl>;
export declare const materialAnyOfControlTester: RankedTester;
export default ConnectedMaterialAnyOfRenderer;
